Loading...
Searching...
No Matches
Ogre::Page Class Reference
Optional Components » Paging

Page class. More...

`#include <OgrePage.h>`

## Public Types

typedef std::vector< PageContentCollection * > | ContentCollectionList

## Public Member Functions

| Page (PageID pageID, PagedWorldSection *parent)
virtual | ~Page ()
void | _notifyModified ()
| Tell the page that it is modified.
virtual PageContentCollection * | createContentCollection (const String &typeName)
| Create a new PageContentCollection within this page.
virtual void | destroyAllContentCollections ()
| Destroy all PageContentCollections within this page.
virtual void | destroyContentCollection (PageContentCollection *coll)
| Destroy a PageContentCollection within this page.
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends.
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts.
virtual PageContentCollection * | getContentCollection (size_t index)
| Get a content collection.
virtual size_t | getContentCollectionCount () const
| Get the number of content collections.
const ContentCollectionList & | getContentCollectionList () const
| Get the list of content collections.
virtual unsigned long | getFrameLastHeld ()
| Get the frame number in which this Page was last loaded or held.
virtual PageID | getID () const
| Get the ID of this page, unique within the parent.
PageManager * | getManager () const
virtual PagedWorldSection * | getParentSection () const
| Get the PagedWorldSection this page belongs to.
SceneManager * | getSceneManager () const
bool | isDeferredProcessInProgress () const
| If true, it's not safe to access this Page at this time, contents may be changing.
virtual bool | isHeld () const
| Returns whether this page was 'held' in the last frame, that is was it either directly needed, or requested to stay in memory (held - as in a buffer region for example).
bool | isModified () const
virtual void | load (bool synchronous)
| Load this page.
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera.
virtual void | save ()
| Save page data to an automatically generated file name.
virtual void | save (const String &filename)
| Save page data to a file.
virtual void | save (StreamSerialiser &stream)
| Save page data to a serialiser.
virtual void | touch ()
| 'Touch' the page to let it know it's being used
virtual void | unload ()
| Unload this page.

## Static Public Attributes

static const uint32 | CHUNK_CONTENTCOLLECTION_DECLARATION_ID
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION

## Detailed Description

Page class.

## Member Typedef Documentation

## ContentCollectionList

typedef std::vector<PageContentCollection*> Ogre::Page::ContentCollectionList

## Constructor & Destructor Documentation

## Page()

Ogre::Page::Page | ( | PageID | pageID,
|  | PagedWorldSection * | parent )

Referenced by operator<<.

## ~Page()

virtual Ogre::Page::~Page | ( |  | ) |

virtual

## Member Function Documentation

## getManager()

PageManager * Ogre::Page::getManager | ( |  | ) | const

## getSceneManager()

SceneManager * Ogre::Page::getSceneManager | ( |  | ) | const

## isDeferredProcessInProgress()

bool Ogre::Page::isDeferredProcessInProgress | ( |  | ) | const

inline

If true, it's not safe to access this Page at this time, contents may be changing.

## getID()

virtual PageID Ogre::Page::getID | ( |  | ) | const

inline virtual

Get the ID of this page, unique within the parent.

## getParentSection()

virtual PagedWorldSection * Ogre::Page::getParentSection | ( |  | ) | const

inline virtual

Get the PagedWorldSection this page belongs to.

## getFrameLastHeld()

virtual unsigned long Ogre::Page::getFrameLastHeld | ( |  | ) |

inline virtual

Get the frame number in which this Page was last loaded or held.

A Page that has not been requested to be loaded or held in the recent past will be a candidate for removal.

## touch()

virtual void Ogre::Page::touch | ( |  | ) |

virtual

'Touch' the page to let it know it's being used

## load()

virtual void Ogre::Page::load | ( | bool | synchronous | ) |

virtual

Load this page.

Parameters

  synchronous | Whether to force this to happen synchronously.

## unload()

virtual void Ogre::Page::unload | ( |  | ) |

virtual

Unload this page.

## isHeld()

virtual bool Ogre::Page::isHeld | ( |  | ) | const

virtual

Returns whether this page was 'held' in the last frame, that is was it either directly needed, or requested to stay in memory (held - as in a buffer region for example).

If not, this page is eligible for removal.

## save() [1/3]

virtual void Ogre::Page::save | ( |  | ) |

virtual

Save page data to an automatically generated file name.

## save() [2/3]

virtual void Ogre::Page::save | ( | const String & | filename | ) |

virtual

Save page data to a file.

## save() [3/3]

virtual void Ogre::Page::save | ( | StreamSerialiser & | stream | ) |

virtual

Save page data to a serialiser.

## frameStart()

virtual void Ogre::Page::frameStart | ( | Real | timeSinceLastFrame | ) |

virtual

Called when the frame starts.

## frameEnd()

virtual void Ogre::Page::frameEnd | ( | Real | timeElapsed | ) |

virtual

Called when the frame ends.

## notifyCamera()

virtual void Ogre::Page::notifyCamera | ( | Camera * | cam | ) |

virtual

Notify a section of the current camera.

## createContentCollection()

virtual PageContentCollection * Ogre::Page::createContentCollection | ( | const String & | typeName | ) |

virtual

Create a new PageContentCollection within this page.

This is equivalent to calling PageManager::createContentCollection and then attachContentCollection.

Parameters

  typeName | The name of the type of content collection (see PageManager::getContentCollectionFactories)

## destroyContentCollection()

virtual void Ogre::Page::destroyContentCollection | ( | PageContentCollection * | coll | ) |

virtual

Destroy a PageContentCollection within this page.

This is equivalent to calling detachContentCollection and PageManager::destroyContentCollection.

## destroyAllContentCollections()

virtual void Ogre::Page::destroyAllContentCollections | ( |  | ) |

virtual

Destroy all PageContentCollections within this page.

## getContentCollectionCount()

virtual size_t Ogre::Page::getContentCollectionCount | ( |  | ) | const

virtual

Get the number of content collections.

## getContentCollection()

virtual PageContentCollection * Ogre::Page::getContentCollection | ( | size_t | index | ) |

virtual

Get a content collection.

## getContentCollectionList()

const ContentCollectionList & Ogre::Page::getContentCollectionList | ( |  | ) | const

Get the list of content collections.

## _notifyModified()

void Ogre::Page::_notifyModified | ( |  | ) |

inline

Tell the page that it is modified.

## isModified()

bool Ogre::Page::isModified | ( |  | ) | const

inline

## Member Data Documentation

## CHUNK_ID

const uint32 Ogre::Page::CHUNK_ID

static

## CHUNK_VERSION

const uint16 Ogre::Page::CHUNK_VERSION

static

## CHUNK_CONTENTCOLLECTION_DECLARATION_ID

const uint32 Ogre::Page::CHUNK_CONTENTCOLLECTION_DECLARATION_ID

static

The documentation for this class was generated from the following file:

- OgrePage.h